<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getFunctionRamCost](./bitburner.ns.getfunctionramcost.md)

## NS.getFunctionRamCost() method

Get the ram cost of a netscript function.

**Signature:**

```typescript
getFunctionRamCost(name: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | string | The fully-qualified function name, without the leading <code>ns</code>. Example inputs: <code>hack</code>, <code>tprint</code>, <code>stock.getPosition</code>. |

**Returns:**

number

## Remarks

RAM cost: 0 GB

